%if ! (0%{?fedora} > 12 || 0%{?rhel} > 5)
%{!?python_sitelib: %global python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%endif

Name:           python-SocksiPy
Version:        1.00
Release:        11%{?dist}
Summary:        A Python SOCKS module

Group:          Development/Languages
License:        BSD
URL:            http://socksipy.sourceforge.net/
Source0:        http://downloads.sourceforge.net/socksipy/SocksiPy%20%{version}/SocksiPy.tar.gz
# https://sourceforge.net/tracker/?func=detail&aid=2954091&group_id=180628&atid=893947
Source1:        python-SocksiPy-setup.py
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch

BuildRequires:  python2-devel


%description
This Python module allows you to create TCP connections through a SOCKS
proxy without any special effort.


%prep
%setup -q -c
%{__cp} %{SOURCE1} setup.py

# Fix file end-of-line encoding
for f in README BUGS LICENSE; do
    %{__sed} 's/\r//' $f > $f.new
    touch -r $f $f.new
    %{__mv} -f $f.new $f
done

%build
%{__python} setup.py build


%install
%{__rm} -rf %{buildroot}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

 
%clean
%{__rm} -rf %{buildroot}


%files
%defattr(-,root,root,-)
%doc BUGS LICENSE README
%{python_sitelib}/socks*
%{python_sitelib}/SocksiPy*.egg-info


%changelog
* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.00-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Wed Jul 21 2010 David Malcolm <dmalcolm@redhat.com> - 1.00-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-3
- Fixed the Source0 URL

* Fri Mar 05 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-2
- Remove the unused python_sitearch macro
- Preserve timestamps on documentation files

* Sun Feb 14 2010 Nikolay Ulyanitsky <lystor AT lystor.org.ua> - 1.00-1
- Initial package build
